Package org.apache.sysds.runtime.instructions.spark.functions

## Class GetMIMBFromRow

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.GetMIMBFromRow

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFunction<org.apache.spark.sql.Row,​MatrixIndexes,​MatrixBlock>`

    public class GetMIMBFromRow
    extends Object
    implements org.apache.spark.api.java.function.PairFunction<org.apache.spark.sql.Row,​MatrixIndexes,​MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
`GetMIMBFromRow()`

### Method Summary

All Methods Instance Methods Concrete Methods
`scala.Tuple2<MatrixIndexes,​MatrixBlock>` `call​(org.apache.spark.sql.Row row)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetMIMBFromRow

    public GetMIMBFromRow()

### Method Detail

#### call

    public scala.Tuple2<MatrixIndexes,​MatrixBlock> call​(org.apache.spark.sql.Row row)
                                                       throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFunction<org.apache.spark.sql.Row,​MatrixIndexes,​MatrixBlock>`
Throws:
  `Exception`